@font-face {
    font-family: "Hacen-Algeria";
    src: url("fonts/Hacen-Algeria.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
  }
  @font-face {
    font-family: "Hacen-Algeria";
    src: url("fonts/Hacen-Algeria-Bold.ttf") format("truetype");
    font-weight: Bold;
    font-style: normal;
  }


  @font-face {
    font-family: "Poppins";
    src: url("fonts/Poppins-Regular_2.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
  }
  @font-face {
    font-family: "Hacen-Algeria";
    src: url("fonts/Poppins-Bold_2.ttf") format("truetype");
    font-weight: Bold;
    font-style: normal;
  }


  :root {
    --primarycolor: #fff;
    --secondarycolor: #c7ae5e;
    --ParaColor: #ffffff88;
    --transition: 2700ms cubic-bezier(0.25, 1, 0.5, 1);
    --Fast_Transition: 1200ms cubic-bezier(0.79, -0.01, 0, 0.99);
    --RightMargin: 10%;
    --GrayScale: grayscale(0.36);
  }

  * {
    font-family: Hacen-Algeria, sans-serif;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    scroll-behavior: smooth;
    margin: 0;
    padding: 0;
    color: #fff;
    user-select: none;
    -webkit-tap-highlight-color: transparent;
  }
  .English {
    font-family: poppins;
    direction: ltr;
  }

  html,
  body {
    background-color: #000000;
    width: 100vw;
    height: 100%;
    overflow: hidden;
  }

  header {
    /* position: fixed; */
    width: 100vw;
    height: 100%;
    overflow: hidden;
    z-index: 2;
  }

  .BGVideo {
    position: absolute;
    right: 0;
    bottom: 0;
    max-width: 100vw;
    /* max-height: 100%; */
    z-index: 0;
    pointer-events: none;
    top: 50vh;
    width: 100vw;
    transform: translateY(-50vh);
    opacity: 0;
    transition: var(--transition);
    /* height: 100%; */
    /* display: none; */
  }
  .Slide.Active .BGVideo {
    opacity: 1;
  }
  .BGVideo.Dark::after {
    content: "";
    background-color: #00000099;
    position: absolute;
    width: 100%;
    height: 100%;
    display: block;
    content: "";
    z-index: 2;
  }


  .myVideo {
    position: absolute;
    right: 0;
    bottom: 0;
    min-width: 100%;
    min-height: 100%;
    opacity: 0.1;
    z-index: 0;
    pointer-events: none;
    mix-blend-mode: lighten;
    transform: scaleX(-1);
    transition: var(--transition);
    filter: var(--GrayScale);
    /* transform: scaleX(-1); */
    /* display: none; */
  }
  .myVideo.Dark::after {
    content: "";
    background-color: #00000099;
    position: absolute;
    width: 100%;
    height: 100%;
    display: block;
    content: "";
    z-index: 1;
  }
  .Slide {
    /* background: url("img/Olive-Tree.png") no-repeat; */
    background-size: cover;
    background-position: center;
    position: absolute;
    width: 100vw;
    height: 100%;
    display: block;
    z-index: 3;
    opacity: 0;
    pointer-events: none;
    transition: var(--transition);
    overflow: hidden;
  }
  .Slide.Active {
    opacity: 1;
    pointer-events: auto;
  }
  .Slide.One {
    position: inherit;
  }
  .SlideTitle {
    text-align: right;
    direction: rtl;
    font-size: 2.7rem;
    transition: var(--transition);
    opacity: 0;
    transform: translateX(3rem);
    transition-delay: 600ms;
  }
  .Slide.Active .SlideTitle {
    opacity: 1;
    transform: translateX(0);
  }
  .SlideTitle span {
    display: block;
    position: relative;
    padding-right: 0rem;
    transition: var(--transition);
    opacity: 0;
    transform: translateX(3rem);
  }
  .Slide.Active .SlideTitle span {
    padding-right: 9rem;
    opacity: 1;
    transform: translateX(0);
  }

  .Slide.Two.Active .SlideTitle span {
    transition-delay: 1000ms;
  }

  .SlideTitle span::before {
    display: block;
    content: "";
    position: absolute;
    bottom: 20px;
    right: 0.25rem;
    width: 0rem;
    height: 3px;
    background-color: var(--secondarycolor);
    transition: var(--transition);
  }
  .Slide.Two .SlideTitle span::before {
    height: 2px;
    bottom: 10px;
  }
  .Slide.Two.Active .SlideTitle span::before {
    transition-delay: 1600ms;
  }

  .Slide.Active .SlideTitle span::before {
    width: 8rem;
  }
  .Slide.Two.Active .SlideTitle span {
    padding-right: 5rem;
  }
  .Slide.Two.Active .SlideTitle span::before {
    width: 4rem;
  }
  .TitleDiv {
    position: absolute;
    top: 40%;
    right: var(--RightMargin);
  }

  .SlideTitleTranslate {
    text-align: right;
    font-size: 1.2rem;
    transition: var(--transition);
    opacity: 0;
    transform: translateX(3rem);
    font-weight: 200;
    margin-top: 10px;
  }
  .Slide.Active .SlideTitleTranslate {
    opacity: 1;
    transform: translateX(0);
  }
  .SlideTitleTranslate span {
    font-family: poppins;
    transition: var(--transition);
    transition-delay: 1000ms;
    font-weight: 200;
  }
  .TitleLiny {
    width: 0rem;
    background-color: var(--secondarycolor);
    height: 1px;
    display: inline-block;
    transition: var(--transition);
    opacity: 0.72;
  }
  .Slide.Active .SlideTitleTranslate .TitleLiny {
    width: 3rem;
    margin: 0px 12px;
  }
  .Slide.Two.Active .SlideTitleTranslate .TitleLiny {
    width: 1rem;
    margin: 0px 12px;
  }

  .IntroLogo {
    position: absolute;
    background: url("img/Logo.png") no-repeat;
    background-size: contain;
    width: 172px;
    height: 120px;
    top: 9rem;
    right: var(--RightMargin);
    filter: grayscale(1) brightness(10);
    transition: var(--transition);
    transform: translateY(-3rem);
    opacity: 0;
    z-index: 2;
  }

  .Slide.Active .IntroLogo {
    transform: translateY(0);
    opacity: 1;
  }

  .IntroPDiv {
    position: absolute;
    bottom: 10%;
    right: var(--RightMargin);
    z-index: 2;
  }

  .IntroP {
    color: var(--ParaColor);
    text-align: right;
    direction: rtl;
    font-size: 1rem;
    transition: var(--transition);
    display: block;
    font-weight: normal;
    opacity: 0;
    transform: translateX(3rem);
    z-index: 2;
  }

  .Slide.Active .IntroP {
    opacity: 1;
    transform: translateX(0rem);
  }

  .SlideTitle,
  .SlideTitleTranslate {
    transition-delay: 1000ms;
    z-index: 2;
  }
  .IntroP {
    transition-delay: 3000ms;
  }

  .PlayButton {
    position: absolute;
    bottom: 9rem;
    left: var(--RightMargin);
    background-image: url("img/PlayButt.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: -200px top;
    text-align: right;
    padding-top: 127px;
    padding-left: 72px;
    transition: var(--transition);
    transition-delay: 3600ms;
    cursor: pointer;
    z-index: 2;
    opacity: 0;
    pointer-events: none;
  }

  .Slide.Active .PlayButton {
    background-position: 0px top;
    opacity: 1;
    pointer-events: auto;
  }
  .Slide.Active .PlayButton.Active {
    transform: translateX(270px);
    transition: var(--Fast_Transition);
    transition-delay: 0ms;
    opacity: 0;
  }
  .PlayButton span {
    display: block;
    margin-left: auto;
    font-weight: bold;
    opacity: 0;
    transform: translateX(3rem);
    transition: var(--transition);
    transition-delay: 4000ms;
  }
  .PlayButton span:last-child {
    transition-delay: 4400ms;
  }
  .Slide.Active .PlayButton span {
    opacity: 1;
    transform: translateX(0rem);
  }

  .LanguageSelection {
    position: absolute;
    top: 0rem;
    left: 0rem;
    z-index: 5;
    width: 100%;
    height: 100%;
    background-color: #00000099;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transform: scale(0) translateY(200vw);
    transition: var(--Fast_Transition);
    clip-path: circle(1% at 100% 50%);
    pointer-events: none;
    overflow: hidden;
  }
  .LanguageSelection.Active {
    opacity: 1;
    pointer-events: auto;
    transform: scale(1) translateY(0%);
    clip-path: circle(100% at 50% 50%);
  }
  .LanguageSelection::after {
    content: "";
    background-color: #00000099;
    position: absolute;
    width: 100%;
    height: 100%;
    display: block;
    content: "";
    z-index: 1;
    opacity: 0;
    transition: var(--transition);
    transition-delay: 720ms;
    pointer-events: none;
  }
  .LanguageSelection.Active::after {
    opacity: 1;
  }
  .LanguageCover {
    background-image: url("img/LanguageCover.png");
    background-size: contain;
    background-repeat: no-repeat;
    width: 120px;
    height: 120px;
    transform: scale(0);
    transition: var(--Fast_Transition);
    opacity: 0;
    position: relative;
    z-index: 2;
  }
  .LanguageSelection.Active .LanguageCover {
    transform: scale(1);
    opacity: 1;
  }
  .LanguageButt {
    background-image: url("img/Arabic.png");
    background-size: 100px auto;
    background-repeat: no-repeat;
    background-position: center left;
    width: 50%;
    height: 100%;
    font-size: 0px;
    position: relative;
    transition: var(--transition);
    cursor: pointer;
    opacity: 0.1;
    transform: scale(0);
    position: relative;
    z-index: 2;
    transform-origin: left center;
  }
  .LanguageSelection.Active .LanguageButt {
    transform: scale(1);
    opacity: 1;
  }
  .LanguageButt:hover {
    /* transform: scale(1.1); */
  }
  .LanguageButt.English {
    background-image: url("img/English.png");
    background-size: 90x auto;
    background-position: center right;
    transform-origin: right center;

  }

  .LanguageButt::before {
    content: "";
    position: absolute;
    top: calc(50% - 100px);
    left: 50vw;
    background-image: url("img/PlayButt.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: 0px top;
    text-align: right;
    width: 200px;
    height: 200px;
    transition: var(--Fast_Transition);
    transition-delay: 0ms;
  }
  .LanguageButt.English::before {
    transform: scaleX(-1);
    background-position: 100% top;
    right: 50vw;
    left: auto;
  }

  .LanguageSelection.Active .LanguageButt::before{
    left: 0vw;
    right: auto;
    transition-delay: 0ms;
  }
  .LanguageSelection.Active .LanguageButt.English::before{
    right: 0px;
    left:auto
  }

  .LanguageButt.Selected {
    transition: var(--Fast_Transition); 
    transform: scale(72) !important; 
    opacity: 0 !important;
  }

  .Slide.Two {
    position: absolute;
    top: 0rem;
    left: 0rem;
    z-index: 1;
    width: 100%;
    height: 100%;
    /* background-color: #000000; */
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row-reverse;
    /* transform: translateX(100vw); */
    transition: var(--transition);
    /* clip-path: circle(1% at 50% 100%); */
    pointer-events: none;
    padding: 4rem 6rem;
    /* opacity: 0; */
  }
  .Slide.Two.Active {
    pointer-events: auto;
    /* transform: translateX(0vw); */
    /* clip-path: circle(100% at 50% 50%); */
    opacity: 1;
  }

  .Slide.Two * {
    text-align: right;
  }

  .SlideImage {
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    height: 100%;
    width: 60%;
    transform: translateY(4rem);
    transition: var(--transition);
    opacity: 0;
    transition-delay: 1200ms;
    position: relative;
    animation: airpod1 20s infinite;
    z-index: 2;
  }
  @keyframes airpod1 {
    50% {
      translate: 0px -2rem;
    }
  }

  .SlideImage img {
    display: block;
    opacity: 0;
    pointer-events: none;
    max-width: 100%;
    max-height: 100%;
  }
  .Slide.Active .SlideImage {
    transform: translateY(0rem);
    opacity: 1;
  }

  .SlideImage.Hide {
    pointer-events: none !important;
    opacity: 0 !important;
  }
  .SlideContent {
    padding: 2rem;
    transform: translateX(4rem);
    transition: var(--transition);
    opacity: 0;
    transition-delay: 2000ms;
    margin-top: 5.5rem;
    width: 72%;
    padding-left: 0px;
  }
  .Slide.Active .SlideContent {
    transform: translateX(0rem);
    opacity: 1;
  }
  .SlideContent h1 {
    font-size: 2.2rem;
    font-weight: 700;
    margin-bottom: 10px;
  }
  .SlideContent h2 {
    font-size: 1.2rem;
    font-weight: 200;
    margin-bottom: 20px;
  }
  .SlideContent p {
    font-size: 1rem;
    font-weight: 200;
    margin-bottom: 20px;
  }
  .LogoSign {
    background-image: url("img/LogoSign.png");
    width: 15%;
    height: 15%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    position: absolute;
    top: 7.2%;
    left: 7.2%;
    filter: grayscale(1) brightness(10);
    transform: translateY(4rem);
    transition: var(--transition);
    opacity: 0;
    transition-delay: 2000ms;
    cursor: pointer;
  }
  .Slide.Active .LogoSign {
    transform: translateY(0rem);
    opacity: 1;
  }

  .SliderCounter {
    position: absolute;
    bottom: 4rem;
    left: 8rem;
    font-size: 20px;
    font-style: italic;
    opacity: 0;
    transform: scale(0);
    transition: var(--transition);
    transition-delay: 3000ms;
    z-index: 6;
  }
  .CounterButt {
    display: block;
    position: absolute;
    top: calc(50% - 7px);
    height: 14px;
    width: 50px;
    background-image: url(img/Arrow.png?ver=1.1);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    cursor: pointer;
    transition: 200ms;
  }
  .CounterButt:hover {
    transform: scale(1.1);
  }
  .CounterButt.Left {
    left: -55px;
  }
  .CounterButt.Right {
    right: -60px;
    rotate: 180deg;
  }

  .SliderCounter.Active {
    opacity: 1;
    transform: scale(1);
  }
  .SliderCounter span:not(.CounterButt) {
    display: inline-block;
    vertical-align: top;
    padding: 0px;
    font-family: poppins;
    font-style: italic;
    font-size: 12px;
  }
  .PageNum {
    margin-top: -7px;
    transition: var(--Fast_Transition);
    transition-delay: 0ms;
  }
  .PageNum.Looping {
    margin-top: 0px;
    transform: scale(0);
  }
  .TotalPages {
    margin-top: 12px;
    margin-left: 5px;
  }

  .SlideDesc {
    direction: rtl;
    padding-right: 16px;
  }
  .SlideDesc li {
    padding-top: 8px;
    transform: translateX(2rem);
    opacity: 0;
    transition: var(--transition);
    transition-delay: 4000ms;
    font-size: 20px;
  }

  .Slide.Active .SlideDesc li:not(.English_Content) {
    transform: translateX(0rem);
    opacity: 1;
  }
  .Slide.Active .SlideDesc li:not(.English_Content):nth-child(2) {
    transition-delay: 5000ms;
  }
  .Slide.Active .SlideDesc li:not(.English_Content):nth-child(3) {
    transition-delay: 6000ms;
  }
  .Slide.Active .SlideDesc li:not(.English_Content):nth-child(4) {
    transition-delay: 7000ms;
  }
  .Slide.Active .SlideDesc li:not(.English_Content):nth-child(5) {
    transition-delay: 8000ms;
  }
  .Slide.Active .SlideDesc li:not(.English_Content):nth-child(6) {
    transition-delay: 9000ms;
  }
  .Slide.Active .SlideDesc li:not(.English_Content):nth-child(7) {
    transition-delay: 10000ms;
  }
  .Slide.Active .SlideDesc li:not(.English_Content):nth-child(8) {
    transition-delay: 11000ms;
  }
  .Slide.Active .SlideDesc li:not(.English_Content):nth-child(9) {
    transition-delay: 12000ms;
  }
  .Slide.Active .SlideDesc li:not(.English_Content):nth-child(10) {
    transition-delay: 13000ms;
  }

  .Slide.Active .SlideDesc li.English_Content {
    transform: translateX(0rem);
    opacity: 1;
  }
  .Slide.Active .SlideDesc li.English_Content:nth-child(2) {
    transition-delay: 5000ms;
  }
  .Slide.Active .SlideDesc li.English_Content:nth-child(3) {
    transition-delay: 6000ms;
  }
  .Slide.Active .SlideDesc li.English_Content:nth-child(4) {
    transition-delay: 7000ms;
  }
  .Slide.Active .SlideDesc li.English_Content:nth-child(5) {
    transition-delay: 8000ms;
  }
  .Slide.Active .SlideDesc li.English_Content:nth-child(6) {
    transition-delay: 9000ms;
  }
  .Slide.Active .SlideDesc li.English_Content:nth-child(7) {
    transition-delay: 10000ms;
  }
  .Slide.Active .SlideDesc li.English_Content:nth-child(8) {
    transition-delay: 11000ms;
  }
  .Slide.Active .SlideDesc li.English_Content:nth-child(9) {
    transition-delay: 12000ms;
  }
  .Slide.Active .SlideDesc li.English_Content:nth-child(10) {
    transition-delay: 13000ms;
  }


  .Timeline {
    position: absolute;
    width: 200vw;
    bottom: 8rem;
    left: 100vw;
    z-index: 0;
    background-image: url(img/Timeline.png);
    background-repeat: repeat-x;
    background-size: auto 20px;
    background-position: 0px 100%;
    transition: var(--transition);
    padding-right: calc(100vw + 4rem);
    padding-bottom: 25px;
    /* text-align: left!important; */
    transition-delay: 0ms;
    font-size: 14px;
    opacity: 0.72;
    transform: rotate(-90deg);
  }
  .Slide.Active .Timeline {
    left: -1.4vw;
  }

  .Nav {
    display: flex;
    justify-content: stretch;
    align-items: stretch;
    align-content: stretch;
    flex-direction: row;
    position: absolute;
    bottom: -50vw;
    width: 100%;
    right: 0;
    z-index: 6;
    transition: var(--Fast_Transition);
    transition-delay: 00ms;
  }
  .Nav.Active {
    bottom: 1px;
    transition: var(--transition);
    transition-delay: 3600ms;
  }
  .Nav a {
    /* writing-mode: vertical-lr; */
    display: flex;
    flex-grow: 1;
    text-align: center;
    justify-content: center;
    border-right: 3px solid #ffffff00;
    padding-right: 10px;
    cursor: pointer;
    transition: 200ms;
    border-right: 1px solid #FFFFFF27;
    /* border-top: 1px dashed #FFFFFF27; */
    padding: 7px;
    font-weight: 500;
  }
  .Nav a:hover {
    /* border-right: 3px solid #ffffff; */
  }
  .Nav a.Active {
    border-bottom: 2px solid var(--secondarycolor);
    color: var(--secondarycolor);
  }

  /* .NavLine {
    display: block;
    position: absolute;
    bottom: 0px;
    right: 0px;
    width: 3px;
    transition: var(--transition);
    height: 33.33%;
    background-color: var(--secondarycolor);
  } */

  .HideAllNow *:not(.BGVideo) {
    opacity: 0 !important;
    transition: var(--Fast_Transition) !important;
    transition-delay: 720ms !important;
    /* transform: translate(0,0)!important;
    translate: 0px -3rem!important; */
  }

  .btn {
    position: absolute;
    top: 50%;
    right: 0px;
  }
  #prevDirection {
    left: 0;
    right: auto;
  }

  .LOL {
    position: fixed;
    z-index: 1;
    width: 100vw;
    height: 100%;
    top: 0;
    right: 17.2vw;
    display: block;
    opacity: 0;
    transform: translateY(2rem);
    transition: var(--transition);
    background: transparent;
  }

  .LOL.Show {
    opacity: 1;
    transform: translateY(0);
  }

  canvas {
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: none;
    filter: var(--GrayScale) brightness(1) contrast(0.91);
  }

  .LOL.Active {
    width: 100vw !important; /* Reduce width for slide effect */
    right: -21vw;
    z-index: 2;
  }




  .English_Content {
    text-align: left !important;
    direction: ltr;
    font-family: poppins!important;
        }
  .Timeline {
    bottom: 12rem;
  }
  .Timeline.English_Content {
    text-align: right !important;
  }
  .Title_Content span , .Title_Content div {
    display: inline-block;
  }

  .Nav a.English_Content{
    font-size: 18px!important;
  }
  .SlideDesc li.English_Content {
    font-size: 18px!important;
    margin-left: 20px;
  }





  .SectionsArabicIntroduction, .SectionsEnglishIntroduction {
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 80px;
  }
  .SectionsArabicIntroduction li,.SectionsEnglishIntroduction li {
    list-style: none;
  }
  .SectionsEnglishIntroduction {
    gap: 50px;
  }
  .T_Section {
    font-size: 36px !important;
    color: var(--secondarycolor) !important;  
  }
  .FAQ_content {
    line-height: 1.7;
    font-size: 24px !important;
  }



  .containerIconsSection {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 10px;
    font-size: 24px;
    text-align: center !important;
    line-height: 1.2;
  }


.IconsImage {
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  width: 60px;
  height: 60px;
  display: block;
  filter: invert(1);
}
.BiggerIcons .IconsImage {
  width: 100px;
  height: 100px;
} 

.IconsRow {
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: center;
  gap: 40px;
  margin-bottom: 20px;
}

.SectionsArabicIntroduction p {
  font-size: 1.5rem ;
}

